it-swarm-ja.com

Google Chrome 35をCentOS6.5で動作させる

CentOS6.5にGoogle Chrome 35をインストールしようとしています。数時間Googleを使用した後、GoogleがEL6リリースをサポートしないことを決定したことがわかりました。そのため次のエラーが発生します。

エラー:パッケージ:google-chrome-stable-35.0.1916.153-1.x86_64(google-chrome)必要なもの:libstdc ++。so.6(GLIBCXX_3.4.15)(64bit)

デフォルトでは、libstdc ++。so.6.0.13にはOSが付属しており、最新のものはgcc4.9およびlibstdc ++。so.6.0.20です。ビルドする最新のgccソースをダウンロードしました。それはうまく構築され、私は出力をテストしました。だが

gcc --version

4.4.7を返します。設定中に設定したインストールディレクトリが/ usr/bin/gcc49/bin/gccであることを確認しました。ここで同じコマンドを実行すると、4.9が表示されていました。これは、libstdc ++の最新バージョンもコンパイルされ、プロセスの一部として構築されることを意味すると思います。

私の問題は、gccgoogleの最新ビルドを取得した後ですchromeはまだ古いバージョンを指しています。インストールする特定のディレクトリを指すようにrpm依存関係チェッカーを指す簡単な方法はありますか?.

ありがとう

4
Chintan Shah

これを試しましたか? http://www.tecmint.com/install-google-chrome-on-redhat-c​​entos-Fedora-linux/

これは私のために働いた。このリンクは、CentOSにChromeをインストールする際の問題を修正する方法を示しています。CentOSにchrome 。

乾杯

5
Ravi Patel

7SpecialGemsのリクエストに従って、私はこのサイトにすべての詳細を投稿しています:

Google ChromeチームはCentOS6を正式にサポートしなくなりました。ただし、それが機能しないという意味ではありません。 Richard Lloydがスクリプトをまとめました すべてを実行しますそれを実行するために必要です:

wget http://chrome.richardlloyd.org.uk/install_chrome.sh
Sudo bash install_chrome.sh
3
Michael Kropat